Bug 790101 - as5 plugin: "Client JAR [file:/foo.jar] does not exist or is not readable (note, this JAR may not be required for some app server versions)." warnings should not be logged for AS/EAP versions that do not require the corresponding jar
as5 plugin: "Client JAR [file:/foo.jar] does not exist or is not readable (no...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.2,JON 3.2.1
Unspecified Unspecified
high Severity medium
: ER02
: JON 3.3.0
Assigned To: Jay Shaughnessy
Armine Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 11:39 EST by Ian Springer
Modified: 2015-09-02 20:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If a version of JON did not require a particular JAR, a "Client JAR does not exist or is not readable (note, this JAR may not be required for some app server versions)" warning would be logged whenever a server was discovered, or rediscovered. This caused unnecessary information in the logs, and caused customers to be concerned about the errors due to the severity of the log level. The fix changes the WARN-level message to DEBUG level. While it is not possible to distinguish between non-existent and non-readable JARs, activating the DEBUG log level will identify the originally-reported behavior, and the issue can then be investigated further.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:02:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eap5_debug_log (357.28 KB, application/octet-stream)
2014-09-10 09:59 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Ian Springer 2012-02-13 11:39:37 EST
Here's an example of the superfluous warnings:

2012-02-13 11:27:10,269 WARN  [ResourceDiscoveryComponent.invoker.daemon-1] (org.rhq.plugins.jbossas5.ApplicationServerDiscoveryComponent)- Client JAR [file:/home/ips/Applications/jboss-eap-5.1.2/jboss-as/lib/jboss-classpool.jar] does not exist or is not readable (note, this JAR  may not be required for some app server versions).
2012-02-13 11:27:10,270 WARN  [ResourceDiscoveryComponent.invoker.daemon-1] (org.rhq.plugins.jbossas5.ApplicationServerDiscoveryComponent)- Client JAR [file:/home/ips/Applications/jboss-eap-5.1.2/jboss-as/lib/jboss-classpool-scoped.jar] does not exist or is not readable (note, this JAR  may not be required for some app server versions).
2012-02-13 11:27:10,272 WARN  [ResourceDiscoveryComponent.invoker.daemon-1] (org.rhq.plugins.jbossas5.ApplicationServerDiscoveryComponent)- Client JAR [file:/home/ips/Applications/jboss-eap-5.1.2/jboss-as/common/lib/jboss-as-profileservice.jar] does not exist or is not readable (note, this JAR  may not be required for some app server versions).

Several of them get logged every time an AS or EAP instance is discovered or re-discovered. Besides cluttering the log, they could falsely alarm users.
Comment 1 Mike Foley 2012-02-13 11:59:31 EST
per triage 2/13/2012 (asantos, crouch, foley, loleary)
Comment 6 Jay Shaughnessy 2014-08-20 10:58:38 EDT
master commit bed4b9a72f3f6ec19939e82a9fd27e392dc85a9c
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 10:48:59 2014 -0400

    I changed the offensive WARN-level message to DEBUG level.  It's not really
    possible to distinguish between non-existent and non-readable, or to know
    which versions require which JAR.  If there is a failure then we can turn
    on debug to see the message.


release/jon3.3.x commit 038e60bf5b05101680a5693a18d2f492c287230e
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 10:57:23 2014 -0400

    Cherry-Pick master bed4b9a72f3f6ec19939e82a9fd27e392dc85a9c
Comment 7 Simeon Pinder 2014-09-03 16:31:26 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194
Comment 8 Armine Hovsepyan 2014-09-10 09:59:37 EDT
Created attachment 936171 [details]
eap5_debug_log
Comment 9 Armine Hovsepyan 2014-09-10 10:00:29 EDT
verified in JON 3.3 ER02

'JAR  may not be required for some app server versions' is logged as Debug message.

screen-shot attached

Note You need to log in before you can comment on or make changes to this bug.